Subject: bug#78445: meson-build-system's 'shrink-runpath phase fails for guile go files

From: Ludovic Courtès <[email-masked]>
Date: Fri, 16 May 2025 15:35:44 +0200

Hi Dariqq,

Dariqq <[email-masked]> writes:

>> Another solution is to arrange so that ‘meson-build-system’ does not
>> touch .go files for this package, for instance by skipping the
>> ‘shrink-runpath’ phase.
>> 
>
> Yeah, that's what I have been doing but I think 'strip-runpath' could
> handle this case more gracefully. Also when there is both a guile c
> extension and go files I'd need to do custom things to apply
> shrink-runpath only for the .so files. This is of course doable but
> feels like a workaround until a proper fix is available.

Yes, it’s definitely a workaround, probably unavoidable until we land
the gremlin.scm fix.

Ludo’.